/*
** Programmer: Ciaran McHale (cjmchale@dsg.cs.tcd.ie)
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "globals.h"


void *
my_malloc(int size)
{
	void	*res;

	res = malloc( (size_t)size );
	if (!res) {
		fprintf(stderr, "%s: out of memory\n", g.prog_name);
		exit(1);
	}
	return res;
}


void *
my_realloc(void *ptr, int size)
{
	void	*res;

	res = realloc(ptr, (size_t)size);
	if (!res) {
		fprintf(stderr, "%s: out of memory\n", g.prog_name);
		exit(1);
	}
	return res;
}


char *
str_malloc(char *str)
{
	char	*res;

	res = my_malloc(strlen(str)+1);
	strcpy(res, str);
	return res;
}
