.TH pal
.SH NAME
Pal - Print Address Labels.
.SH SYNOPSIS
\fBpal [-h] [-c<config-file>] [-d<thickness>] [-pqf] [inputfile] [outputfile]\fR
.SH DESCRIPTION
.PP
This programme reads a file containing names, addresses etc. and converts them 
into postscript format for output to a printer.
.SH OPTIONS
.PP
.B \-h
Write a help message to the screen and quit.
.PP
.B \-c<config-file>
Specifies <config-file> as the name of the configuration file that pal should read.
.PP
.B \-d<thickness>
Draws a box around each address label. This is really only be of use if you are 
creating a new configuration file (or modifying an existing one) and are having 
trouble accurately specifying the dimensions and placement of labels on the 
sheet of paper.  In such cases it is a good idea to print out, onto a plain 
sheet of paper, a page of dummy labels (the "-p" option can be useful for this) 
with boxes drawn around each label as a guideline. Then hold this sheet of paper 
behind a sheet of blank address labels and check that the boxes line up with the 
boundaries of the labels.
.PP
The width of the lines used to draw the boxes is given by <thickness>. A value 
of 1 will probably be suitable. Increasing this value will result in thicker 
lines and decreasing it (e.g, 0.5 or 0.2) will result in thinner lines.
.PP
.B \-p
Output a page of labels for each address given in the input.
.PP
.B \-q
Quiet mode: tells pal not to print out any warning messages.
.PP
.B \-f
Pal searches in the PAL_FONTS_PATH directories for the Adobe Font Metrics (.afm) 
file of the font specified in the configuration file. Pal will also search these 
directories for the actual font file itself (stored in either .pfa or .pfb 
format). If can find the font file then, by default, it will include it in the 
output PostScript file. The purpose of this is to allow you to use pal with any 
font you may own, rather than just the fonts which happen to be built into the 
printer.  The "-f" option tells pal to _not_ include the font file (.pfa or 
.pfb) in the output. You would use this option if you knew that the font in 
question had previously been down-loaded to the printer.
.SH EXAMPLE
.B pal -p infile.txt outfile.ps
.PP
Prints a full page of labels for each address in \fBinfile.txt\fR, and produces 
the postscript file outfile.ps
.SH AVAILABILITY:
You may obtain the latest realease of 
.I pal
source via anonymous ftp from internet host 
.I ftp.dsg.cs.tcd
in directory
.I pub/utilities
.SH AUTHOR
Ciaran McHale (cjmchale@dsg.cs.tcd.ie)                         
.SH MAN PAGE
s4adj@csc.liv.ac.uk

